> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find symbols

> Search for workspace symbols like functions, classes, and variables using LSP.



## OpenAPI

````yaml /openapi.json get /find/symbol
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /find/symbol:
    get:
      summary: Find symbols
      description: >-
        Search for workspace symbols like functions, classes, and variables
        using LSP.
      operationId: find.symbols
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - in: query
          name: query
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Symbols
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Symbol'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.find.symbols({
              ...
            })
components:
  schemas:
    Symbol:
      type: object
      properties:
        name:
          type: string
        kind:
          type: number
        location:
          type: object
          properties:
            uri:
              type: string
            range:
              $ref: '#/components/schemas/Range'
          required:
            - uri
            - range
      required:
        - name
        - kind
        - location
    Range:
      type: object
      properties:
        start:
          type: object
          properties:
            line:
              type: number
            character:
              type: number
          required:
            - line
            - character
        end:
          type: object
          properties:
            line:
              type: number
            character:
              type: number
          required:
            - line
            - character
      required:
        - start
        - end

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.